MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs
Visitor.hxx File Reference
`#include <functional>`
Include dependency graph for Visitor.hxx:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs
typedef std::function< void(const LightDirectory &)> | VisitDirectory
typedef std::function< void(const LightSong &)> | VisitSong
typedef std::function< void(const PlaylistInfo &, const LightDirectory &)> | VisitPlaylist
typedef std::function< void(const Tag &)> | VisitTag

## Typedef Documentation

typedef std::function<void(const LightDirectory &)> VisitDirectory

Definition at line 28 of file Visitor.hxx.

typedef std::function<void(const PlaylistInfo &, const LightDirectory &)> VisitPlaylist

Definition at line 33 of file Visitor.hxx.

typedef std::function<void(const LightSong &)> VisitSong

Definition at line 31 of file Visitor.hxx.

typedef std::function<void(const Tag &)> VisitTag

Definition at line 35 of file Visitor.hxx.